#include "krb_locl.h"

RCSID("$Id: check_time.c,v 1.1 1996/06/27 03:55:04 assar Exp $");

int
krb_check_tm (struct tm tm)
{
     return  tm.tm_mon < 0
	  || tm.tm_mon > 11
	  || tm.tm_hour < 0
	  || tm.tm_hour > 23
	  || tm.tm_min < 0
	  || tm.tm_min > 59
	  || tm.tm_sec < 0
	  || tm.tm_sec > 59
	  || tm.tm_year < 1901
	  || tm.tm_year > 2038;
}
